import Task           from "./tasks/task.js"
import TaskView       from "./tasks/view.js"
import DetailTaskView from "./tasks/detail_view.js"

class MainView {
  constructor(){
    this.task_views = []

    this.list_element = document.querySelector("task-list")
    this.detail_view = new DetailTaskView(document.querySelector("task-detail"))

    this.addButton = document.querySelector('#add_button')
    this.addButton.addEventListener("click", () => {
      this.addTask(new Task({done: false, description: "New Task"}))
    })
  }

  addTaskView(task){
    let view = new TaskView(task)
    view.element.addEventListener("click", () => this.detail_view.task = task )
    this.list_element.appendChild(view.element)
    this.task_views.push(view)
  }
}

export default MainView